<div class="dialog-wrapper">
    <mat-dialog-content>
        <h4 class="mb-4">{{'TRANSLATION_EXPORT.EXPORT' | translate }}</h4>
        <mat-label class="label">{{'TRANSLATION_EXPORT.EXPORT_INFORMATIVE' | translate }}</mat-label>
        <div class="row mt-4" *ngIf="this.targetLangList.length > 0">
            <mat-form-field appearance="outline" class="w-100 text-m" color="accent" floatLabel="always" [hideRequiredMarker]="true">
                <mat-label>{{ 'TRANSLATION_EXPORT.SELECT_LANGUAGES' | translate }}</mat-label>
                <mat-select (selectionChange)="onLanguageSelection($event)" [formControl]="selectedLanguages" 
                    [placeholder]="'WTW.SELECT_LANGUAGE' | translate" required>
                    <mat-option
                        *ngFor="let targetLanguage of targetLangList | sortTranslations: 'LANGUAGES':null:currentLanguage | async;"
                        [value]="targetLanguage" class="text-m">
                        {{ 'LANGUAGES.'+ targetLanguage | translate}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
        <div class="radio-filter-wrapper">
            <div class="radio-filter-container" *ngFor="let filter of filterOptions; let i = index">
                <label [id]="filter.name+'-group-label'" class="filter-group-label">
                    {{ localizationKey + filter.name | translate }}
                </label>
                <mat-radio-group [(ngModel)]="selectedDropdownFilters[filter.name]"
                    (keydown.tab)="manageTabKeyNavigation(filter, filterOptions.length-1, $event)"
                    (keydown.shift.tab)="manageTabKeyNavigation(filter, 0, $event)"
                    [attr.aria-labelledby]="filter.name+'-group-label'" class="radio-group">

                    <mat-radio-button (click)="$event.stopPropagation()"
                        *ngFor="let option of filter.options; let i = index" [value]="option.value"
                        (change)="onFilterSelect(filter.name, option.value)">
                        {{localizationKey + option.title | translate}}
                    </mat-radio-button>
                    
                </mat-radio-group>
            </div>
        </div>
    </mat-dialog-content>
    <mat-dialog-actions class="d-flex flex-row action-button-container">
        <button mat-flat-button mat-dialog-close>{{ 'WIDGET.CANCEL' | translate }}</button>
        <button mat-flat-button cdkFocusInitial (click)="exportTranslations()" [disabled]="exportInProgress || !selectedLanguages.value" color="accent">
            {{ 'TRANSLATION_EXPORT.EXPORT' | translate }}
        </button>
    </mat-dialog-actions>
</div>
